<?php
include "includes/db.php";
include "includes/auth.php";
$msg="";

if (isset($_POST["add_sale"])) {
    $msg =$balance_flage= "";
    $date=date("Y/m/d");
    $sd_id = $con->real_escape_string($_POST["distributor"]);
    $payment_date=$con->real_escape_string($_POST["payment_date"]);

    $total_balance=$con->real_escape_string($_POST["total_balance"]);
    $payment_recieved_amount=$con->real_escape_string($_POST["payment_recieved_amount"]);
    $total_remaining=$con->real_escape_string($_POST["total_remaining"]);

    $query = "INSERT INTO `payments`(`sd_id`, `payment_date`, `was_balance`, `recieved_amount`, `remaining_balance`) VALUES ('$sd_id','$payment_date','$total_balance','$payment_recieved_amount','$total_remaining')";
    if ($con->query($query) === TRUE) {
         $balance_query = "UPDATE `dsr` SET `dsr_balance`='$total_remaining' WHERE `dsr_id`='$sd_id'";
              if ($con->query($balance_query) === TRUE) {
                  $payment_ledger_query="INSERT INTO `sd_ledger`(`sd_id`, `payment_type`, `credit_amount`,`ledger_date`) VALUES ('$sd_id','Credit','$payment_recieved_amount','$date')";
                   $con->query($payment_ledger_query);

                  $msg = "<div class='alert alert-success'>Payment has been added successfully.</div>";
              } else {
                  $msg .= "Error: " . $query . "<br>" . $con->error;
              }
    }
    else {
                  $msg .= "Error: " . $query . "<br>" . $con->error;
              }

   
}


 ?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Dashboard - NiceAdmin Bootstrap Template</title>
  <?php include "includes/links.php"; ?>

  <style>
    .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
          width: 100% !important;
      }
      input[type="text"][readonly]{
        background-color:#d1c9c9;
      }
      input[type="number"][readonly]{
        background-color:#d1c9c9;
      }
  </style>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.14.0-beta3/dist/css/bootstrap-select.min.css" rel="stylesheet">
</head>

<body>

  <?php include "includes/header.php"; ?>
  <?php include "includes/sidebar.php"; ?>


  <main id="main" class="main">

    <div class="pagetitle">
      <h1>Dashboard - Add Payment </h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="dashboard.php">Home</a></li>
          <li class="breadcrumb-item active">Add Payment</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section dashboard">
      <div class="row">

        <!-- Left side columns -->
        <div class="col-lg-12">
          
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">Payment Information</h5>
              <?php if(isset($msg)){ echo $msg; } ?>
              <!-- No Labels Form -->
              <form class="row g-3" method="POST">
                <div class="col-md-6" bis_skin_checked="1">
                  <label for="distributors_list" class="form-label">Distributor:</label>
                  <select class="form-select" id="distributors_list" name="distributor" required>
                    <option value="" selected="" disabled="">Select Any Distributor</option>
                    <?php
                        $profile_query = mysqli_query($con,"SELECT * FROM `dsr`");
                        while($fetch = mysqli_fetch_array($profile_query)){
                    ?>
                    <option value="<?php echo $fetch["dsr_id"]; ?>"><?php echo $fetch["name"]; ?></option>
                  <?php } ?> 
                  </select>
                </div>
                <div class="col-md-6">
                  <label for="date" class="form-label">Date:</label>
                  <input type="date" class="form-control" name="payment_date" value="<?php echo date('Y-m-d'); ?>">
                </div>
                <div class="col-md-12" id="distributors_area" style="margin-top: 3px;">
                    <!------   Distributors List Area  --->
                </div>
                
                <div class="col-md-12">
                    <div class="row mb-2">
                        <div class="col-md-9"><label class="form-label" style="float:right;">Total Balance</label></div>
                        <div class="col-md-3"><input type="text" name="total_balance" class="form-control" id="payment_total_balance" value="0.00" readonly></div>
                    </div>
                     <div class="row mb-2">
                        <div class="col-md-9"><label class="form-label" style="float:right;">Recieved Amount</label></div>
                        <div class="col-md-3"><input type="number" name="payment_recieved_amount" class="form-control" id="payment_recieved_amount" placeholder="0.00" min="0"  onkeyup="calculateRemainingBalance()" onkeypress="calculateRemainingBalance()" onload="calculateRemainingBalance()"></div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-md-9"><label class="form-label" style="float:right;">Remaining Balance</label></div>
                        <div class="col-md-3"><input type="text" name="total_remaining" class="form-control" id="payment_remaining_balance" value="0.00" readonly></div>
                    </div>
                </div>
               
                
                <div class="text-right">
                  <button type="submit" class="btn btn-primary" name="add_sale">Add Payment</button>
                </div>
              </form><!-- End No Labels Form -->

            </div>
          </div>
        </div><!-- End Left side columns -->

        

      </div>
    </section>

  </main><!-- End #main -->
<script>
$(document).ready(function() {
 $("#distributors_list").on("change",function(){
      var main_id =$('#distributors_list').val();
      $.ajax({
      url: "fetch-distributor-info.php",
      type: "POST",
      data: {
      main_id: main_id
      },
      cache: false,
      success: function(result){
      $("#distributors_area").html(result);
      }
      });
    });



});


</script>
<script>
    // Function to calculate remaining balance
    function calculateRemainingBalance() {
        // Get the values of total balance and received amount
        var totalBalance = parseFloat(document.getElementById("payment_total_balance").value);
        var receivedAmount = parseFloat(document.getElementById("payment_recieved_amount").value);

        // Calculate remaining balance
        var remainingBalance = totalBalance - receivedAmount;

        // Update the value of the remaining balance input field
        document.getElementById("payment_remaining_balance").value = remainingBalance.toFixed(2);
    }

    // Add event listener to the received amount input field
    document.getElementById("payment_recieved_amount").addEventListener("input", calculateRemainingBalance);

    // Initial calculation
    calculateRemainingBalance();
</script>


  <?php include "includes/footer.php"; ?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.14.0-beta3/dist/js/bootstrap-select.min.js"></script>
<script>
    $(document).ready(function(){
        $('.selectpicker').selectpicker();
    });
</script>
  
<a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

  <!-- Vendor JS Files -->
  <script src="assets/vendor/apexcharts/apexcharts.min.js"></script>
  <script src="assets/vendor/chart.js/chart.umd.js"></script>
  <script src="assets/vendor/echarts/echarts.min.js"></script>
  <script src="assets/vendor/quill/quill.min.js"></script>
  <script src="assets/vendor/simple-datatables/simple-datatables.js"></script>

  <script src="assets/vendor/tinymce/tinymce.min.js"></script>
  <script src="assets/vendor/php-email-form/validate.js"></script>

  <!-- Template Main JS File -->
  <script src="assets/js/main.js"></script>  

</body>

</html>