<?php 
include "includes/db.php";
include "includes/auth.php";
$statsday='';
if (isset($_POST['daysval'])) {
  $currentDay=$_POST['daysval'];
  $statsday= $currentDay;
}
else{
$currentDay = date("j");   
}

 ?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Dashboard - M hadeed</title>
  <?php include "includes/links.php"; ?>
  <style type="text/css">
    .dashboard .info-card h6 {
    font-size: 18px;
    color: #012970;
    font-weight: 700;
    margin: 0;
    padding: 0;
}
  </style>
</head>

<body>

  <?php include "includes/header.php"; ?>
  <?php include "includes/sidebar.php"; ?>


  <main id="main" class="main">

    <div class="pagetitle">
      <h1>Dashboard</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="index.html">Home</a></li>
          <li class="breadcrumb-item active">Dashboard</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section dashboard">
      <div class="row">

        <!-- Left side columns -->
        <div class="col-lg-8">
          <div class="row"> 
            <!-- Sales Card -->
            <!--<div class="col-xx-6 col-md-6">
              <div class="card info-card sales-card">
                <div class="card-body">
                  <h5 class="card-title">Available Cartons <span>| Total Boxes</span></h5>

                  <div class="d-flex align-items-center">
                    <div class="card-icon rounded-circle d-flex align-items-center justify-content-center" style="color: #d1981a;background: #ffeec1;">
                      <i class="bi bi-box-seam"></i>
                    </div>
                    <div class="ps-3">
                      <h6>
                        <?php
                            $result=mysqli_query($con,"SELECT SUM(CAST(quantity AS DECIMAL(10,0))) AS total_quantity FROM `products`");
                            $data=mysqli_fetch_assoc($result);
                            echo $data['total_quantity']; 
                                                  ?> 
                      </h6>
                      <a href="products.php"><span class="text-success small pt-1 fw-bold">View Details</span></a>

                    </div>
                  </div>
                </div>

              </div>
            </div>--> <!-- End Sales Card -->


            <!-- Sales Card -->
            <div class="col-xx-6 col-md-6">
              <div class="card info-card sales-card">
                <div class="card-body">
                  <h5 class="card-title">Total Sales <span>| Last <?php echo $currentDay ?> Days</span></h5>

                  <div class="d-flex align-items-center">
                    <div class="card-icon rounded-circle d-flex align-items-center justify-content-center">
                      <i class="bi bi-cart"></i>
                    </div>
                    <div class="ps-3">
                      <h6>
                        <?php
                            $result=mysqli_query($con,"SELECT SUM(CAST(grand_total AS DECIMAL(10,2))) AS total_amount_sum FROM `sales` WHERE STR_TO_DATE(`sale_date`, '%Y-%m-%d') >= DATE_SUB(CURDATE(), INTERVAL '$currentDay' DAY)");
                            $data=mysqli_fetch_assoc($result);
                            echo number_format($data['total_amount_sum'],2); 
                                                  ?> <small style="font-size:12px">pkr</small>
                      </h6>
                     <a href="sales_list.php"><span class="text-success small pt-1 fw-bold">View Details</span></a>

                    </div>
                  </div>
                </div>

              </div>
            </div><!-- End Sales Card -->

            <!-- Revenue Card -->
            <div class="col-xx-6 col-md-6">
              <div class="card info-card revenue-card">
                <div class="card-body">
                  <h5 class="card-title">Cartons Sale<span>| Last <?php echo $currentDay ?> Days</span></h5>

                  <div class="d-flex align-items-center">
                    <div class="card-icon rounded-circle d-flex align-items-center justify-content-center">
                      <i class="bi bi-box"></i>
                    </div>
                    <div class="ps-3">
                      <h6><?php
                            $result=mysqli_query($con,"SELECT SUM(CAST(product_quantity AS DECIMAL(10,2))) AS total_product_quantity FROM `sales` WHERE STR_TO_DATE(`sale_date`, '%Y-%m-%d') >= DATE_SUB(CURDATE(), INTERVAL '$currentDay' DAY)");
                            $data=mysqli_fetch_assoc($result);
                            echo $data['total_product_quantity']; 
                                                  ?> <small small style="font-size:12px">Box</small></h6>
                      <a href="sales_list.php"><span class="text-success small pt-1 fw-bold">View Details</span></a>

                    </div>
                  </div>
                </div>

              </div>
            </div><!-- End Revenue Card -->

            <!-- Customers Card -->
            <!--<div class="col-xx-6 col-md-6">
              <div class="card info-card customers-card">
                <div class="card-body">
                  <h5 class="card-title">Weight Loaded<span>| Last <?php echo $currentDay ?> Days</span></h5>

                  <div class="d-flex align-items-center">
                    <div class="card-icon rounded-circle d-flex align-items-center justify-content-center">
                      <i class="bi bi-truck"></i>
                    </div>
                    <div class="ps-3">
                      <h6><?php
                            $result=mysqli_query($con,"SELECT SUM(CAST(total_weight AS DECIMAL(10,2))) AS total_total_weight FROM `sales` WHERE STR_TO_DATE(`sale_date`, '%Y-%m-%d') >= DATE_SUB(CURDATE(), INTERVAL '$currentDay' DAY)");
                            $data=mysqli_fetch_assoc($result);
                            echo $data['total_total_weight']; ?> <small small style="font-size:12px">KG</small></h6>
                      <a href="sales_list.php"><span class="text-success small pt-1 fw-bold">View Details</span></a>

                    </div>
                  </div>

                </div>
              </div>
            </div>--><!-- End Customers Card -->


            <?php if($user_type!='warehouse'){ ?>
            <!-- Expenses -->
            <div class="col-xx-6 col-md-6">
              <div class="card info-card customers-card">
                <div class="card-body">
                  <h5 class="card-title">Total Purchase <span>| Last <?php echo $currentDay ?> Days</span></h5>

                  <div class="d-flex align-items-center">
                    <div class="card-icon rounded-circle d-flex align-items-center justify-content-center" style="color: #ee6666;background: #e99c9c6b;">
                      <i class="bi bi-cart-plus"></i>
                    </div>
                    <div class="ps-3">
                      <h6><?php $result=mysqli_query($con,"SELECT SUM(CAST(total_amount AS DECIMAL(10,2))) AS total_purchase_amount FROM `purchase_history` WHERE STR_TO_DATE(`sale_date`, '%Y-%m-%d') >= DATE_SUB(CURDATE(), INTERVAL '$currentDay' DAY)");
                            $data=mysqli_fetch_assoc($result);
                            echo  number_format($data['total_purchase_amount'],2); 
                                                  ?> <small style="font-size:12px">pkr</small></h6>
                      <a href="purchase_list.php"><span class="text-success small pt-1 fw-bold">View Details</span></a>

                    </div>
                  </div>

                </div>
              </div>
            </div><!-- End Expenses -->



            <!-- Expenses -->
            <div class="col-xx-6 col-md-6">
              <div class="card info-card customers-card">
                <div class="card-body">
                  <h5 class="card-title">Total Expenses <span>| Last <?php echo $currentDay ?> Days</span></h5>

                  <div class="d-flex align-items-center">
                    <div class="card-icon rounded-circle d-flex align-items-center justify-content-center" style="color: #91cc75;background: #91cc7559">
                      <i class="bi bi-currency-exchange"></i>
                    </div>
                    <div class="ps-3">
                      <h6><?php $result=mysqli_query($con,"SELECT SUM(CAST(expense_amount AS DECIMAL(10,2))) AS total_expense_amount FROM `expenses` WHERE STR_TO_DATE(`expense_date`, '%Y-%m-%d') >= DATE_SUB(CURDATE(), INTERVAL '$currentDay' DAY)");
                            $data=mysqli_fetch_assoc($result);
                             $total_expense=$data['total_expense_amount']; 
                            echo number_format($total_expense,2);
                                                  ?> <small style="font-size:12px">pkr</small></h6>
                      <a href="expense_list.php"><span class="text-success small pt-1 fw-bold">View Details</span></a>

                    </div>
                  </div>

                </div>
              </div>
            </div><!-- End Expenses -->



            <!-- Expenses -->
            <div class="col-xx-6 col-md-6">
              <div class="card info-card customers-card">
                <div class="card-body">
                  <h5 class="card-title">Total Discounts <span>| Last <?php echo $currentDay ?> Days</span></h5>

                  <div class="d-flex align-items-center">
                    <div class="card-icon rounded-circle d-flex align-items-center justify-content-center" style="color: #91cc75;background: #91cc7559">
                      <i class="bi bi-card-heading"></i>
                    </div>
                    <div class="ps-3">
                      <h6><?php $result=mysqli_query($con,"SELECT SUM(CAST(discount_amount AS DECIMAL(10,2))) AS total_discount_amount FROM `discounts` WHERE STR_TO_DATE(`discount_date`, '%Y/%m/%d') >= DATE_SUB(CURDATE(), INTERVAL '$currentDay' DAY)");
                            $data=mysqli_fetch_assoc($result);
                             $total_discounts=$data['total_discount_amount']; 
                            echo number_format($total_discounts,2);
                                                  ?> <small style="font-size:12px">pkr</small></h6>
                      <a href="discounts.php"><span class="text-success small pt-1 fw-bold">View Details</span></a>

                    </div>
                  </div>

                </div>
              </div>
            </div><!-- End Expenses -->


            <!-- Gross Profit -->
            <div class="col-xx-6 col-md-6">
              <div class="card info-card customers-card">
                <div class="card-body">
                  <h5 class="card-title">Gross Profit <span>| Last <?php echo $currentDay ?> Days</span></h5>

                  <div class="d-flex align-items-center">
                    <div class="card-icon rounded-circle d-flex align-items-center justify-content-center" style="color: #4b9f9a;background: #70d5d07d;">
                      <i class="bi bi-currency-dollar"></i>
                    </div>
                    <div class="ps-3">
                      <h6><?php
                            $result=mysqli_query($con,"SELECT SUM(CAST(profit AS DECIMAL(10,2))) AS total_profit FROM `sales` WHERE STR_TO_DATE(`sale_date`, '%Y-%m-%d') >= DATE_SUB(CURDATE(), INTERVAL '$currentDay' DAY)");
                            $data=mysqli_fetch_assoc($result);
                             $toal_profit=$data['total_profit']; 
                            echo number_format($toal_profit,2);
                                                  ?> <small style="font-size:12px">pkr</small></h6>
                    </div>
                  </div>

                </div>
              </div>
            </div><!-- End Gross Profit -->


<!-- Gross Profit -->
            <div class="col-xx-6 col-md-6">
              <div class="card info-card customers-card">
                <div class="card-body">
                  <h5 class="card-title">Net Profit <span>| Last <?php echo $currentDay ?> Days</span></h5>

                  <div class="d-flex align-items-center">
                    <div class="card-icon rounded-circle d-flex align-items-center justify-content-center" style="color: #5470c6;background: #5470c657;">
                      <i class="bi bi-handbag"></i>
                    </div>
                    <div class="ps-3">
                      <h6><?php 
                              $net_profit=$toal_profit-$total_expense; 
                               $total_net_profit=$total_discounts+$net_profit;
                              echo number_format($net_profit,2);
                            ?> <small style="font-size:12px">pkr</small></h6>

                    </div>
                  </div>

                </div>
              </div>
            </div><!-- End Gross Profit -->


            <!-- Gross Profit -->
            <div class="col-xx-6 col-md-6">
              <div class="card info-card customers-card">
                <div class="card-body">
                  <h5 class="card-title">DSR Balance</h5>

                  <div class="d-flex align-items-center">
                    <div class="card-icon rounded-circle d-flex align-items-center justify-content-center" style="color: #4b9f9a;background: #70d5d07d;">
                      <i class="bi bi-people"></i>
                    </div>
                    <div class="ps-3">
                      <h6><?php
                            $result=mysqli_query($con,"SELECT SUM(CAST(dsr_balance AS DECIMAL(10,0))) AS dsr_balance FROM `dsr`");
                            $data=mysqli_fetch_assoc($result);
                             $toal_profit=$data['dsr_balance']; 
                            echo number_format($toal_profit,2);
                                                  ?> <small style="font-size:12px">pkr</small></h6>
                    </div>
                  </div>

                </div>
              </div>
            </div><!-- End Gross Profit -->


            <!-- Ledger -->
            <div class="col-xx-6 col-md-12">
              <div class="card info-card customers-card">
                <div class="card-body">
                  <h5 class="card-title">Company Ledger <span> | <span class="text-danger">Total Debit: <?php
                            $result=mysqli_query($con,"SELECT SUM(CAST(debit_amount AS DECIMAL(10,2))) AS total_debit_amount FROM `ledger` WHERE STR_TO_DATE(`ledger_date`, '%Y-%m-%d') >= DATE_SUB(CURDATE(), INTERVAL '$currentDay' DAY)");
                            $data=mysqli_fetch_assoc($result);
                             $total_debit_amount=$data['total_debit_amount']; 
                            echo number_format($total_debit_amount,2);
                                                  ?></span>  |  <span class="text-success">Total Credit: <?php
                            $result=mysqli_query($con,"SELECT SUM(CAST(credit_amount AS DECIMAL(10,2))) AS total_credit_amount FROM `ledger` WHERE STR_TO_DATE(`ledger_date`, '%Y-%m-%d') >= DATE_SUB(CURDATE(), INTERVAL '$currentDay' DAY)");
                            $data=mysqli_fetch_assoc($result);
                             $total_credit_amount=$data['total_credit_amount']; 
                            echo number_format($total_credit_amount,2);
                                                  ?></span> </span></h5>

                  <div class="d-flex align-items-center">
                    <div class="card-icon rounded-circle d-flex align-items-center justify-content-center" style="color: #5a75d7;background: #b5c2f1d9">
                      <i class="bi bi-newspaper"></i>
                    </div>
                    <div class="ps-3">
                      <?php $balance=$total_debit_amount-$total_credit_amount;
                          if ($balance>=0) {
                            echo '<h6 class="text-success">'.$balance.'</h6>';
                          }
                          else{
                            echo '<h6 class="text-danger">'.$balance.'</h6>';
                          }
                         ?>                                                                              
                     <a href="comapny_ledger.php"><span class="text-success small pt-1 fw-bold">View Details</span></a>
                    </div>
                  </div>

                </div>
              </div>
            </div><!-- End Expenses -->
          <?php } ?>

            <!-- Recent Sales -->
            <div class="col-12">
              <div class="card recent-sales overflow-auto">

                <div class="card-body">
                  <h5 class="card-title">Most Sell Products <span>| Last <?php echo $currentDay ?> Days</span></h5>

                  <table class="table table-borderless datatable">
                    <thead>
                      <tr>
                        <th scope="col">Code</th>
                        <th scope="col">Product</th>
                        <th scope="col">Cartons</th>
                        <th scope="col">Amount</th>
                        <th scope="col">Weight</th>
                      </tr>
                    </thead>
                    <tbody>
                      <?php
                      // Most Sell Cartons query
                        $sql = "SELECT p.product_id, p.product_code, p.description, 
                                   ROUND(SUM(s.product_quantity), 0) AS total_quantity_sold, 
                                   ROUND(SUM(s.total_amount), 0) AS total_sell_amount,
                                   ROUND(SUM(s.total_weight), 0) AS total_weight
                            FROM sales s
                            JOIN products p ON s.product_id = p.product_id
                            WHERE s.sale_date >= DATE_SUB(CURDATE(), INTERVAL '$currentDay' DAY)
                            GROUP BY s.product_id
                            ORDER BY total_quantity_sold DESC
                            LIMIT 20";

                    $result = $conn->query($sql);
                    if ($result->num_rows > 0) {
                      while($row = $result->fetch_assoc()) {

                        ?>  
                      <tr>
                        <th scope="row"><a href="#"><?php echo $row["product_code"]; ?></a></th>
                        <td><?php echo $row["description"]; ?></td>
                        <td><?php echo $row["total_quantity_sold"]; ?></td>
                        <td><?php echo number_format($row["total_sell_amount"],2); ?></td>
                        <td><?php echo $row["total_weight"]; ?></td>
                      </tr>
                      <?php } } ?>
                    </tbody>
                  </table>

                </div>

              </div>
            </div><!-- End Recent Sales -->

          </div>
        </div><!-- End Left side columns -->

        <!-- Right side columns -->
        <div class="col-lg-4">

          <!-- Recent Activity -->
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">DSR's Overview</h5>
              <table class="table datatable table-striped">
                <thead>
                  <tr>
                    <th  style="font-size:12px !important;">Name</th>
                    <th  style="font-size:12px !important;">Balance</th>
                  </tr>
                </thead>
                <tbody>
                  <?php
                        $sd_profile_query = mysqli_query($con,"SELECT * FROM `dsr`");
                        while($fetch_sd = mysqli_fetch_array($sd_profile_query)){
                        $dsr_id=$fetch_sd["dsr_id"];
                    ?>
                  <tr>
                    <td style="font-size:14px"><a href="sd_ledger.php?sd_id=<?php echo $fetch_sd['dsr_id']; ?>"><?php echo $fetch_sd["name"]; ?></a></td>
                   <td style="font-size:14px">
    <?php 
    echo isset($fetch_sd["dsr_balance"]) && is_numeric($fetch_sd["dsr_balance"]) ? number_format($fetch_sd["dsr_balance"], 2) : '0.00'; 
    ?>
</td>

                    
                  </tr>  
                  <?php } ?>
                 </tbody>
                 </table> 

             

            </div>
          </div><!-- End Recent Activity -->
          
          <!-- Website Traffic -->
          <div class="card">
            <div class="card-body pb-0">
              <h5 class="card-title">Weight <small>(KG's)</small> <span>| Last <?php echo $currentDay ?> Days</span></h5>

              <?php 
              $result=mysqli_query($con,"SELECT SUM(CAST(total_weight AS DECIMAL(10,2))) AS total_sale_amount FROM `sales` WHERE STR_TO_DATE(`sale_date`, '%Y-%m-%d') >= DATE_SUB(CURDATE(), INTERVAL '$currentDay' DAY) And product_sub_cat='LAYS'");
                            $data=mysqli_fetch_assoc($result);
                            $lays_amount=$data['total_sale_amount']; 
                            if($lays_amount==''){$lays_amount=0;}
                ?>
              <?php 
              $result=mysqli_query($con,"SELECT SUM(CAST(total_weight AS DECIMAL(10,2))) AS total_sale_amount FROM `sales` WHERE STR_TO_DATE(`sale_date`, '%Y-%m-%d') >= DATE_SUB(CURDATE(), INTERVAL '$currentDay' DAY) And product_sub_cat='WAVY'");
                            $data=mysqli_fetch_assoc($result);
                            $WAVY_amount=$data['total_sale_amount']; 
                            if($WAVY_amount==''){$WAVY_amount=0;}
                ?>
                <?php 
              $result=mysqli_query($con,"SELECT SUM(CAST(total_weight AS DECIMAL(10,2))) AS total_sale_amount FROM `sales` WHERE STR_TO_DATE(`sale_date`, '%Y-%m-%d') >= DATE_SUB(CURDATE(), INTERVAL '$currentDay' DAY) And product_sub_cat='KURKURE'");
                            $data=mysqli_fetch_assoc($result);
                            $KURKURE_amount=$data['total_sale_amount']; 
                            if($KURKURE_amount==''){$KURKURE_amount=0;}
                ?>

                <?php 
              $result=mysqli_query($con,"SELECT SUM(CAST(total_weight AS DECIMAL(10,2))) AS total_sale_amount FROM `sales` WHERE STR_TO_DATE(`sale_date`, '%Y-%m-%d') >= DATE_SUB(CURDATE(), INTERVAL '$currentDay' DAY) And product_sub_cat='CHEETOS'");
                            $data=mysqli_fetch_assoc($result);
                            $CHEETOS_amount=$data['total_sale_amount'];
                            if($CHEETOS_amount==''){$CHEETOS_amount=0;} 
                ?>  
              <div id="trafficChart" style="min-height: 400px;" class="echart"></div>

              <script>
                document.addEventListener("DOMContentLoaded", () => {
                  echarts.init(document.querySelector("#trafficChart")).setOption({
                    tooltip: {
                      trigger: 'item'
                    },
                    legend: {
                      top: '5%',
                      left: 'center'
                    },
                    series: [{
                      name: 'Access From',
                      type: 'pie',
                      radius: ['40%', '70%'],
                      avoidLabelOverlap: false,
                      label: {
                        show: false,
                        position: 'center'
                      },
                      emphasis: {
                        label: {
                          show: true,
                          fontSize: '18',
                          fontWeight: 'bold'
                        }
                      },
                      labelLine: {
                        show: false
                      },
                      data: [{
                          value: <?php echo $lays_amount; ?>,
                          name: 'LAYS'
                        },
                        {
                          value: <?php echo $WAVY_amount; ?>,
                          name: 'WAVY'
                        },
                        {
                          value: <?php echo $KURKURE_amount; ?>,
                          name: 'KURKURE'
                        },
                        {
                          value: <?php echo $CHEETOS_amount; ?>,
                          name: 'CHEETOS'
                        }
                      ]
                    }]
                  });
                });
              </script>

            </div>
          </div><!-- End Website Traffic -->

          <!-- News & Updates Traffic -->
          <div class="card">
            <div class="card-body pb-0">
              <h5 class="card-title">Products <span>| Lowest Stock</span></h5>

              <div class="news">
                <table class="table datatable table-striped">
                <thead>
                  <tr>
                    <th  style="font-size:15px !important;">Product</th>
                    <th style="font-size:15px !important;" >Stock</th>
                  </tr>
                </thead>
                <tbody>
                  <?php
                        $sd_stock_query = mysqli_query($con,"SELECT * FROM `products` ORDER BY `quantity`LIMIT 15;");
                        while($fetch_stock = mysqli_fetch_array($sd_stock_query)){
                    ?>
                  <tr>
                    <td style="font-size: 14px;"><?php echo $fetch_stock["description"]; ?></td>
                    <td style="font-size: 14px;"><?php echo $fetch_stock["quantity"]; ?></td>
                  </tr>  
                  <?php } ?>
                 </tbody>
                 </table> 
              </div><!-- End sidebar recent posts-->

            </div>
          </div><!-- End News & Updates -->

        </div><!-- End Right side columns -->

      </div>
    </section>

  </main><!-- End #main -->

  <?php include "includes/footer.php"; ?>

  <?php include "includes/scripts.php"; ?>

</body>

</html>