<?php
include "includes/db.php";
include "includes/auth.php";
$msg="";
if (isset($_POST["save_changes"])) {
  $product_id=$_POST['product_id'];
  $description=$con->real_escape_string($_POST["description"]);
  $quantity=$con->real_escape_string($_POST["quantity"]);
  $packing=$con->real_escape_string($_POST["packing"]);
  $gram_weight=$con->real_escape_string($_POST["gram_weight"]);
  $total_weight=$con->real_escape_string($_POST["weight"]);
  $unit_price=$con->real_escape_string($_POST["unit_price"]);
  $sale_price=$con->real_escape_string($_POST["sale_price"]);
  $query="UPDATE `products`
                  SET
                    `description` = '$description',
                    `quantity` = '$quantity',
                    `packing` = '$packing',
                    `grams_weight` = '$gram_weight',
                    `total_weight` = '$total_weight',
                    `unit_price` = '$unit_price',
                    `sale_price` = '$sale_price'
                  WHERE
                    `product_id` = '$product_id'";
  if ($con->query($query) === TRUE) {
            $msg .="<div class='alert alert-success'>Product Has Been Updated Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        }      
}


if (isset($_POST["delete"])) {
  $id=$_POST['id'];
  $sd_id=$_POST['sd_id'];
  $sd_new_balance=$_POST['sd_new_balance'];

    $query="UPDATE `dsr` SET `dsr_balance` = '$sd_new_balance' WHERE `dsr_id` = '$sd_id'";
    $con->query($query);

  $query1="DELETE FROM `payments` WHERE `payment_id` = '$id'";
  if ($con->query($query1) === TRUE) {
            $msg .="<div class='alert alert-success'>Payment Has Been Deleted Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        } 
}



 ?>


<?php
// Below is optional, remove if you have already connected to your database.
$mysqli = mysqli_connect('localhost', $username,$password,$database);

$quer="SELECT * FROM payments ORDER By payment_id desc"; 

$total_pages = $mysqli->query($quer)->num_rows;

// Check if the page number is specified and check if it's a number, if not return the default page number which is 1.
$page = isset($_GET['page']) && is_numeric($_GET['page']) ? $_GET['page'] : 1;

// Number of results to show on each page.
$num_results_on_page = 25;
 $que="SELECT * FROM payments ORDER BY payment_id DESC LIMIT ?,?";


if ($stmt = $mysqli->prepare($que)) {
   // Calculate the page to get the results we need from our table.
   $calc_page = ($page - 1) * $num_results_on_page;
   $stmt->bind_param('ii', $calc_page, $num_results_on_page);
   $stmt->execute(); 
   // Get the results...
   $result = $stmt->get_result();
   ?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Dashboard - Payments List</title>
  <?php include "includes/links.php"; ?>

</head>

<body>

  <?php include "includes/header.php"; ?>
  <?php include "includes/sidebar.php"; ?>


  <main id="main" class="main">

    <div class="pagetitle">
      <h1>Dashboard</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="dashboard.php">Home</a></li>
          <li class="breadcrumb-item active">Payments List</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section dashboard">
      <div class="row">

        <!-- Left side columns -->
        <div class="col-lg-12">
          
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">Payments</h5>
              <?php if(isset($msg)){ echo $msg; } ?>
              <!-- No Labels Form -->
                <div class="col-md-12">
                  <table class="table datatable table-striped">
                <thead>
                  <tr>
                    <th>DSR Name</th>
                    <th>Amount</th>
                    <th>Date</th>
                    <th>Time</th>
                    <th>Action</th>
                  </tr>
                </thead>
                <tbody>
                   <?php while ($fetch = $result->fetch_assoc()): ?>
                  <tr>
                    <td><?php 
                            $sd_id=$fetch["sd_id"];
                            $profile_query = mysqli_query($con,"SELECT * FROM `dsr` where dsr_id='$sd_id' ");
                            while($get = mysqli_fetch_array($profile_query)){
                              echo $sdName=$get["name"];
                              $sdCurBalance=$get["dsr_balance"];
                            }
                          ?></td>
                    <td><?php echo number_format($fetch["recieved_amount"],2); ?></td>
                    <td><?php 
                              $date_time=$fetch["date_time"];
                              $date = new DateTime($date_time);
                              $formattedDate = $date->format('d M Y');
                              echo $formattedDate;
                          ?></td>
                    <td><?php 
                              $date_time=$fetch["date_time"];
                              $date = new DateTime($date_time);
                              $formattedDate = $date->format('h:i:s A');
                              echo $formattedDate;
                          ?></td>      
                    <td>
                      <!--<button class="btn btn-primary btn-sm"  data-bs-toggle="modal" data-bs-target="#edit_modal<?php echo $fetch["payment_id"]; ?>"><i class="ri-edit-box-line"></i></button>-->
                      <button class="btn btn-danger btn-sm"  data-bs-toggle="modal" data-bs-target="#delete_modal<?php echo $fetch["payment_id"]; ?>"><i class="ri-delete-bin-2-fill"></i></button>
                    </td>

              <div class="modal fade" id="edit_modal<?php echo $fetch["payment_id"]; ?>" tabindex="-1">
                <div class="modal-dialog modal-xl">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title">Edit Payment Amount</h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      <form method="POST">
                        <div class="row">
                           <div class="col-md-12"> 
                              <input type="hidden" name="payment_id" value="<?php echo $fetch["payment_id"]; ?>"> 
                              <label for="quantity" class="form-label">Amount:</label>
                              <input type="number" class="form-control" id="quantity" value="<?php echo $fetch["quantity"]; ?>"  name="quantity">                
                            </div>
                            
                        </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-primary" name="save_changes">Save Changes</button>
                    </div>
                    </form>
                  </div>
                </div>
              </div><!-- End Extra Large Modal-->                  

              <div class="modal fade" id="delete_modal<?php echo $fetch["payment_id"]; ?>" tabindex="-1">
                <div class="modal-dialog modal-md">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title">Do you want to delete this record?</h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      <form method="POST">
                        <div class="row">
                      <div class="col-md-12">
                        <?php $newbalance=$sdCurBalance+$fetch["recieved_amount"]; ?>
                        <input type="hidden" name="id" value="<?php echo $fetch["payment_id"]; ?>">
                        <input type="hidden" name="sd_id" value="<?php echo $fetch["sd_id"]; ?>">
                        <input type="hidden" name="sd_new_balance" value="<?php echo $newbalance; ?>">
                        
                        <p>It will add <span style="color:red;font-weight:bold"><?php echo $fetch["recieved_amount"].' pkr'; ?></span> in the total balance of <span style="color:red;font-weight:bold"><?php echo $sdName; ?></span></p>
                      </div>
                      </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-danger" name="delete">Yes Delete</button>
                    </div>
                    </form>
                  </div>
                </div>
              </div><!-- End Extra Large Modal-->                  

                  </tr>
                  <?php endwhile; ?>               
                </tbody>
              </table>
                </div> 
<div class="dataTable-bottom">
         <?php if (ceil($total_pages / $num_results_on_page) > 0): ?>
        
         <ul class="news">
            <?php if ($page > 1): ?>
            <li class="prev"><a href="sales_list.php?page=<?php echo $page-1 ?>">Prev</a></li>
            <?php endif; ?>

            <?php if ($page > 3): ?>
            <li class="start"><a href="sales_list.php?page=1">1</a></li>
            <li class="dots">...</li>
            <?php endif; ?>

            <?php if ($page-2 > 0): ?><li class="page"><a href="sales_list.php?page=<?php echo $page-2 ?>"><?php echo $page-2 ?></a></li><?php endif; ?>
            <?php if ($page-1 > 0): ?><li class="page"><a href="sales_list.php?page=<?php echo $page-1 ?>"><?php echo $page-1 ?></a></li><?php endif; ?>

            <li class="currentpage"><a href="sales_list.php?page=<?php echo $page ?>"><?php echo $page ?></a></li>

            <?php if ($page+1 < ceil($total_pages / $num_results_on_page)+1): ?><li class="page"><a href="sales_list.php?page=<?php echo $page+1 ?>"><?php echo $page+1 ?></a></li><?php endif; ?>
            <?php if ($page+2 < ceil($total_pages / $num_results_on_page)+1): ?><li class="page"><a href="sales_list.php?page=<?php echo $page+2 ?>"><?php echo $page+2 ?></a></li><?php endif; ?>

            <?php if ($page < ceil($total_pages / $num_results_on_page)-2): ?>
            <li class="dots">...</li>
            <li class="end"><a href="sales_list.php?page=<?php echo ceil($total_pages / $num_results_on_page) ?>"><?php echo ceil($total_pages / $num_results_on_page) ?></a></li>
            <?php endif; ?>

            <?php if ($page < ceil($total_pages / $num_results_on_page)): ?>
            <li class="next"><a href="sales_list.php?page=<?php echo $page+1 ?>">Next</a></li>
            <?php endif; ?>
         </ul>
         <?php endif; ?>
                              </div>                             
            </div>
          </div>
        </div><!-- End Left side columns -->

        

      </div>
    </section>

  </main><!-- End #main -->

  <?php include "includes/footer.php"; ?>

  <?php include "includes/scripts.php"; ?>
  <style>        
        .news {
            list-style-type: none;
            padding: 10px 0;
            display: inline-flex;
            justify-content: space-between;
            box-sizing: border-box;
         }
         .news li {
            box-sizing: border-box;
            padding-right: 10px;
         }
         .news li a {
            box-sizing: border-box;
            background-color: #e2e6e6;
            padding: 8px;
            text-decoration: none;
            font-size: 12px;
            font-weight: bold;
            color: #616872;
            border-radius: 4px;
         }
         .news li a:hover {
            background-color: #d4dada;
         }
         .news .next a, .news .prev a {
            text-transform: uppercase;
            font-size: 12px;
         }
         .news .currentpage a {
            background-color: #518acb;
            color: #fff;
         }
         .news .currentpage a:hover {
            background-color: #518acb;
         }
         </style>
         <script type="text/javascript">          
             const datatables = select('.datatable', true)
              datatables.forEach(datatable => {
                new simpleDatatables.DataTable(datatable, {
                  perPageSelect: [5, 10, 15, ["All", -1]],
                  "paging": false,
                  columns: [{
                      select: 2,
                      sortSequence: ["desc", "asc"]
                    },
                    {
                      select: 3,
                      sortSequence: ["desc"]
                    },
                    {
                      select: 4,
                      cellClass: "green",
                      headerClass: "red"
                    }
                  ]
                });
              })
         </script>
</body>

</html>
<?php
   $stmt->close();
}
?>