<?php
include "includes/db.php";
include "includes/auth.php";
$msg="";
if (isset($_POST["save_changes"])) {
  $id=$_POST['id'];
  $sd_name=$con->real_escape_string($_POST["sd_name"]);
  $email=$con->real_escape_string($_POST["email"]);
  $phone_number=$con->real_escape_string($_POST["phone_number"]);
  $cnic=$con->real_escape_string($_POST["cnic"]);
  $address=$con->real_escape_string($_POST["address"]);
  $total_balance=$con->real_escape_string($_POST["total_balance"]);

 $query="UPDATE `dsr` SET `name`='$sd_name',`email`='$email',`phone`='$phone_number',`cnic`='$cnic',`address`='$address',`dsr_balance`='$total_balance' WHERE `dsr_id`='$id'";
  if ($con->query($query) === TRUE) {
            $msg .="<div class='alert alert-success'>DSR Has Been Updated Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        }      
}
if (isset($_POST["delete"])) {
  $id=$_POST['id'];
  $query="DELETE FROM `dsr` WHERE `dsr_id` = '$id'";
  if ($con->query($query) === TRUE) {
            $msg .="<div class='alert alert-success'>DSR Has Been Deleted Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        } 
}

 ?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Dashboard - SD's List</title>
  <?php include "includes/links.php"; ?>
</head>

<body>

  <?php include "includes/header.php"; ?>
  <?php include "includes/sidebar.php"; ?>


  <main id="main" class="main">

    <div class="pagetitle">
      <h1>Dashboard</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="dashboard.php">Home</a></li>
          <li class="breadcrumb-item active">DSRs List</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section dashboard">
      <div class="row">

        <!-- Left side columns -->
        <div class="col-lg-12">
          
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">DSRs List</h5>
              <?php if(isset($msg)){ echo $msg; } ?>
              <!-- No Labels Form -->
                <div class="col-md-12">
                  <table class="table datatable table-striped">
                <thead>
                  <tr>
                    <th>Name</th>
                    <th>Phone</th>
                    <th>CNIC</th>
                    <th>Balance</th>
                    <?php  if($user_type!='warehouse'){  ?><th>Action</th><?php } ?>
                  </tr>
                </thead>
                <tbody>
                  <?php
                        $profile_query = mysqli_query($con,"SELECT * FROM `dsr`");
                        while($fetch = mysqli_fetch_array($profile_query)){
                    ?>
                  <tr>
                    <td><a href="sd_ledger.php?sd_id=<?php echo $fetch["dsr_id"]; ?>"><?php echo $fetch["name"]; ?></a></td>
                    <td><?php echo $fetch["phone"]; ?></td>
                    <td><?php echo $fetch["cnic"]; ?></td>
                    <td><?php echo number_format($fetch["dsr_balance"]); ?></td>
                    
                    <?php  if($user_type!='warehouse'){  ?>
                    <td>
                      <button class="btn btn-primary btn-sm"  data-bs-toggle="modal" data-bs-target="#edit_modal<?php echo $fetch["dsr_id"]; ?>"><i class="ri-edit-box-line"></i></button>
                     
                      <button class="btn btn-danger btn-sm"  data-bs-toggle="modal" data-bs-target="#delete_modal<?php echo $fetch["dsr_id"]; ?>"><i class="ri-delete-bin-2-fill"></i></button>
                    
                    </td>
                    <?php } ?>  
              <div class="modal fade" id="edit_modal<?php echo $fetch["dsr_id"]; ?>" tabindex="-1">
                <div class="modal-dialog modal-xl">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title"><?php echo $fetch["name"]; ?></h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      <form method="POST"  enctype="multipart/form-data">
                        <div class="row">
                        <div class="col-md-6">
                          <input type="hidden" name="id" value="<?php echo $fetch["dsr_id"]; ?>">
                          <label for="sd_name" class="form-label">SD Name:</label>
                          <input type="text" class="form-control"  id="sd_name" value="<?php echo $fetch["name"]; ?>" name="sd_name">
                        </div>
                        <div class="col-md-6">
                          <label for="email" class="form-label">Email:</label>
                          <input type="email" class="form-control" id="email" value="<?php echo $fetch["email"]; ?>"  name="email">
                        </div>
                        <div class="col-md-6">
                          <label for="primary_phone" class="form-label">Phone Number:</label>
                          <input type="number" class="form-control" id="phone_number" value="<?php echo $fetch["phone"]; ?>" name="phone_number">
                        </div>
                        
                        <div class="col-md-6">
                          <label for="secondary_phone" class="form-label">CNIC Number:</label>
                          <input type="text" class="form-control" id="cnic" value="<?php echo $fetch["cnic"]; ?>"  name="cnic">
                        </div>
                        <div class="col-md-12">
                          <label for="address" class="form-label">Postal Address:</label>
                          <textarea class="form-control" rows="3" name="address" id="address" spellcheck="false"><?php echo $fetch["address"]; ?></textarea>
                        </div>
                        
                        <div class="col-md-12">
                          <label for="credit_amount" class="form-label">Total Balance:</label>
                          <input type="number" class="form-control" id="credit_amount" value="<?php echo $fetch["dsr_balance"]; ?>" name="total_balance">
                        </div>
                    
                        </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-primary" name="save_changes">Save Changes</button>
                    </div>
                    </form>
                  </div>
                </div>
              </div><!-- End Extra Large Modal-->                  

              <div class="modal fade" id="delete_modal<?php echo $fetch["dsr_id"]; ?>" tabindex="-1">
                <div class="modal-dialog modal-md">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title"><?php echo $fetch["name"]; ?></h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      <form method="POST">
                        <div class="row">
                      <div class="col-md-12">
                        <input type="hidden" name="id" value="<?php echo $fetch["dsr_id"]; ?>">
                        <p>Do you want to delete this SD?</p>
                      </div>
                      </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-danger" name="delete">Yes Delete</button>
                    </div>
                    </form>
                  </div>
                </div>
              </div><!-- End Extra Large Modal-->                  

                  </tr>
                  <?php } ?>                  
                </tbody>
              </table>
                </div>              
            </div>
          </div>
        </div><!-- End Left side columns -->

        

      </div>
    </section>

  </main><!-- End #main -->

  <?php include "includes/footer.php"; ?>

  <?php include "includes/scripts.php"; ?>

</body>

</html>