<?php
require_once 'dompdf/autoload.inc.php';
// reference the Dompdf namespace
use Dompdf\Dompdf;
include "includes/db.php";
include "includes/auth.php";
$msg="";
if (isset($_POST["save_changes"])) {
  $product_id=$_POST['product_id'];
  $description=$con->real_escape_string($_POST["description"]);
  $quantity=$con->real_escape_string($_POST["quantity"]);
  $packing=$con->real_escape_string($_POST["packing"]);
  $gram_weight=$con->real_escape_string($_POST["gram_weight"]);
  $total_weight=$con->real_escape_string($_POST["weight"]);
  $unit_price=$con->real_escape_string($_POST["unit_price"]);
  $sale_price=$con->real_escape_string($_POST["sale_price"]);
  $query="UPDATE `products`
                  SET
                    `description` = '$description',
                    `quantity` = '$quantity',
                    `packing` = '$packing',
                    `grams_weight` = '$gram_weight',
                    `total_weight` = '$total_weight',
                    `unit_price` = '$unit_price',
                    `sale_price` = '$sale_price'
                  WHERE
                    `product_id` = '$product_id'";
  if ($con->query($query) === TRUE) {
            $msg .="<div class='alert alert-success'>Product Has Been Updated Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        }      
}
if (isset($_POST["delete"])) {
  $sd_id=$_POST['sd_id'];
  $sale_date=$_POST['sale_date'];
  $sd_ac_balance=$_POST['sd_ac_balance'];
  $sale_history_id=$_POST['sale_history_id'];
  $query1="DELETE FROM `sd_ledger` WHERE `sale_id` = '$sale_history_id'";
  $con->query($query1);

  $query="DELETE FROM `sales_history` WHERE `sd_id` = '$sd_id' AND `sale_date` = '$sale_date'";
  if ($con->query($query) === TRUE) {
          $Inner_query="DELETE FROM `sales` WHERE `sd_id` = '$sd_id' AND `sale_date` = '$sale_date'";
          $con->query($Inner_query);
            $balance_query = "UPDATE `dsr` SET `dsr_balance`='$sd_ac_balance' WHERE `dsr_id`='$sd_id'";
            $con->query($balance_query);
           
            $msg .="<div class='alert alert-success'>Sale Record Has Been Deleted Successfully.</div>";


        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        } 
}


 
if (isset($_POST["genrate_pdf"])) {
  $sale_history_id=$_POST["sale_history_id"];
  $sd_ac_balance=$_POST["sd_ac_balance"];
 
 $profile_query = mysqli_query($con,"SELECT * FROM `dsr` where dsr_id='$sd_id' ");
while($fetch = mysqli_fetch_array($profile_query)){
$sd_acc_balance=$fetch["dsr_balance"];
    }


 $sales_query = mysqli_query($con,"SELECT * FROM `sales_history` where sale_history_id='$sale_history_id'");
  while($fetch_data = mysqli_fetch_array($sales_query)){
    $sd_name=$fetch_data["sd_name"];
    $sd_phone=$fetch_data["sd_phone"];
    $sd_balance=$fetch_data["sd_balance"];
    $total_cartons=$fetch_data["total_cartons"];
    $total_weight=$fetch_data["total_weight"];
    $total_amount=$fetch_data["total_amount"];
    $date_time=$fetch_data["date_time"];
    $driver_name=$fetch_data["driver_name"];
    $driver_phone=$fetch_data["driver_phone"];
    $vehicle_no=$fetch_data["vehicle_no"];
    $products_rows=$fetch_data["products_rows"];
    $gst_amount=$fetch_data["gst_value"];
    $grand_total=$fetch_data["grand_total"];
  }

$date_time=strtotime($date_time);
$formatted_date = date("D, d M y | h:i A", $date_time);
$date=date("Y/m/d");  
$products_area='';
$products_area.='<thead>
      <tr>
        <th rowspan="2" style="text-align:left">
          <div>Description</div>
        </th>
        <th colspan="2">
          <div>Load out</div>
        </th>
        <th colspan="2">
          <div>FOC</div>
        </th>
        <th colspan="2">
          <div>Exchange</div>
        </th>
        <th colspan="2">
          <div>Return</div>
        </th>
        <th colspan="2">
          <div>Sale</div>
        </th>
        <th rowspan="2">
          <div>Amount</div>
        </th>
        <th rowspan="2">
          <div>Weight</div>
        </th>
      </tr>
      <tr>
        <th>CTN</th>
        <th>UNIT</th>
        <th>CTN</th>
        <th>UNIT</th>
        <th>CTN</th>
        <th>UNIT</th>
        <th>CTN</th>
        <th>UNIT</th>
        <th>CTN</th>
        <th>UNIT</th>
      </tr>
    </thead>';
$products_area.=$products_rows;
$products_area.=' <tfoot><tr>
                  <td style="text-align:right;font-weight:bold" colspan="11">Total</td>
                  <td style="text-align:center;font-weight:bold">'.$total_amount.'</td>
                  <td style="text-align:center;font-weight:bold">'.$total_weight.'</td>
                </tr>';

$content='<style>
         .invoice-box {
            margin: auto;
            border: 1px solid #eee;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
            font-size: 12px;
            line-height: 20px;
            color: #555;
         }

         .invoice-box table {
            line-height: inherit;
            text-align: left;
            border-collapse: collapse;
         }

         .invoice-box table td {
            padding: 2px;
            vertical-align: top;
         }

         .invoice-box table tr td:nth-child(2) {
            text-align: left;
         }

         .invoice-box table tr.top table td {
            padding-bottom: 0px;
         }

         .invoice-box table tr.top table td.title {
            font-size: 20px;
            line-height: 45px;
            color: #333;
         }

         .invoice-box table tr.information table td {
            padding-bottom: 10px;
         }

         .invoice-box table tr.heading td {
            background: #716cb9;
            border-bottom: 1px solid #ddd;
            font-weight: bold;
            color: white;
            font-size:18px;
         }

         .heading1 {
            background: #e3e3e3;
            border-bottom: 1px solid #ddd;
            font-weight: bold;
            color: #3a3a3a;
            font-size: 16px;
         }

         .invoice-box table tr.details td {
            padding-bottom: 20px;
         }

         .invoice-box table tr.item td {
            border-bottom: 1px solid #eee;
         }

         .invoice-box table tr.item.last td {
            border-bottom: none;
         }

         .invoice-box table tr.total td:nth-child(2) {
            border-top: 2px solid #eee;
            font-weight: bold;
         }
    .table {
            width: 100%;
            margin-bottom: 1rem;
            color: #212529;
            border-collapse: collapse;
        }
        .table th,
        .table td {
            padding: 0.75rem;
            vertical-align: top;
            border-top: 1px solid #dee2e6;
            text-align:center
        }
        .table thead th {
            vertical-align: bottom;
            border-bottom: 2px solid #dee2e6;
        }
        .table tbody + tbody {
            border-top: 2px solid #dee2e6;
        }
        .table-bordered {
            border: 1px solid #dee2e6;
        }
        .table-bordered th,
        .table-bordered td {
            border: 1px solid #dee2e6;
        }
        .table-bordered thead th,
        .table-bordered thead td {
            border-bottom-width: 2px;
        }
      </style>
      <div class="invoice-box">
      <p style="font-size:20px;font-weight:bold;padding: 0px;margin: 0px;color:#252161;text-align:center;padding-top:5px;font-family:sans-serif">Sale Details </p>
         <table style="width:100%">
            <tr class="top">
               <td colspan="6">
                  <table style="width:100%">
                     <tr>
                        <td class="title">
                           <img src="https://mhadeed.com/m-hadeed/assets/img/logo.png" alt="Company logo" style="max-width: 120px;" />
                        </td>
                        <td style="text-align: right;">
                           SR: #'.$id.'<br/>
                           By: Sheikh Usman<br/>
                           '.$formatted_date.'
                        </td>
                     </tr>
                  </table>
               </td>
            </tr>

            <tr class="information">
               <td colspan="6">
                  <table style="width:100%">
                     <tr>
                         <td>
                          <b>From:</b> <br /> 
                           M HADEED TRADERS<br />
                           Mudassar Bhatti Cotton Mill Near AMK Steel Mills,<br/> Opposite Maverick CNG Faisalabad<br/> By-Pass Sheikhupura.<br/>
                           03218620288 | 03214655830 <br />
                        </td>

                        <td style="text-align: right;">
                          <b>DSR Details:</b> <br />
                           Name: '.$sd_name.'.<br />
                           Phone: '.$sd_phone.'<br />
                           Cur. Balance: '.$sd_acc_balance.'<br />
                           <small style="margin:0px;padding:0px;color:#198754">(sale date balance:'.$sd_balance.')</small><br/>
                           
                        </td>
                     </tr>
                     
                  </table>
               </td>
            </tr>          
            </table><table style="width:100%" class="table table-bordered">'.$products_area.'</table>
            </div>';




            $date=date("Y-m-d");
            $sd_name = str_replace(' ', '_', $sd_name);
            $PDFFileN = $sd_name."_".$date.".pdf";
            

            // instantiate and use the dompdf class
            $dompdf = new Dompdf(array('enable_remote' => true));

            $dompdf->loadHtml("$content");

            // (Optional) Setup the paper size and orientation
            $dompdf->setPaper('A4', 'landscape');

            // Render the HTML as PDF
            $dompdf->render();

            $dompdf->stream($PDFFileN);




           /* $dompdf->loadHtml("$content");
            $dompdf->render();

            $output = $dompdf->output();
            file_put_contents($Filename, $output);*/




}




 ?>


<?php
// Below is optional, remove if you have already connected to your database.
$mysqli = mysqli_connect('localhost', $username,$password,$database);

if (isset($_GET['search'])) {

    $quer = "SELECT * FROM sales_history WHERE 1=1";
    $que = "SELECT * FROM sales_history WHERE 1=1";

    // Distributor filter
    if (!empty($_GET['distributor'])) {
        $distributor = $_GET['distributor'];
        $quer .= " AND `sd_id` = $distributor";
        $que .= " AND `sd_id` = $distributor";
    }

    // Date filter
    if (!empty($_GET['date'])) {
        $date = $_GET['date'];
        $quer .= " AND sale_date = '$date'";
        $que .= " AND sale_date = '$date'";
    }

    

    // Add the ORDER BY clause
    $quer .= " ORDER BY sale_history_id DESC";
    $que .= " ORDER BY sale_history_id DESC LIMIT ?, ?";

  $total_pages = $mysqli->query($quer)->num_rows;


  // Check if the page number is specified and check if it's a number, if not return the default page number which is 1.
  $page = isset($_GET['page']) && is_numeric($_GET['page']) ? $_GET['page'] : 1;

  // Number of results to show on each page.
  $num_results_on_page = 25;



}
else{

$quer="SELECT * FROM sales_history ORDER By sale_history_id desc"; 

$total_pages = $mysqli->query($quer)->num_rows;

// Check if the page number is specified and check if it's a number, if not return the default page number which is 1.
$page = isset($_GET['page']) && is_numeric($_GET['page']) ? $_GET['page'] : 1;

// Number of results to show on each page.
$num_results_on_page = 25;
 $que="SELECT * FROM sales_history ORDER BY sale_history_id DESC LIMIT ?,?";


}



if ($stmt = $mysqli->prepare($que)) {
   // Calculate the page to get the results we need from our table.
   $calc_page = ($page - 1) * $num_results_on_page;
   $stmt->bind_param('ii', $calc_page, $num_results_on_page);
   $stmt->execute(); 
   // Get the results...
   $result = $stmt->get_result();
   ?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Dashboard - Sales List</title>
  <?php include "includes/links.php"; ?>

</head>

<body>

  <?php include "includes/header.php"; ?>
  <?php include "includes/sidebar.php"; ?>


  <main id="main" class="main">

    <div class="pagetitle">
      <h1>Dashboard</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="dashboard.php">Home</a></li>
          <li class="breadcrumb-item active">Sales List</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section dashboard">
      <div class="row">
        <form action="sales_list.php">
        <div class="row">  
        <div class="col-md-5">
          <label>Select Date:</label>
          <input type="date" name="date" class="form-control">
        </div>
        <div class="col-md-5">
          <label>Select DSR</label>
          <select class="form-select" id="distributors_list" name="distributor">
                    <option value="" selected="" disabled="">Select DSR</option>
                    <?php
                        $profile_query = mysqli_query($con,"SELECT * FROM `dsr`");
                        while($fetch = mysqli_fetch_array($profile_query)){
                    ?>
                    <option value="<?php echo $fetch["dsr_id"]; ?>"><?php echo $fetch["name"]; ?></option>
                  <?php } ?> 
                  </select>
        </div>
        <div class="col-md-2 pt-4">
          <input type="submit" name="search" value="Search" class="btn btn-primary">
        </div>
      </div>
    </form>
<script type="text/javascript">
  $(document).ready(function() {
 $("#category").on("change",function(){
      var main_id =$('#category').val();
      $.ajax({
      url: "fetch-prod-info.php",
      type: "POST",
      data: {
      main_id: main_id
      },
      cache: false,
      success: function(result){
      $("#products_list").html(result);
      }
      });
    });



});
</script>

        <!-- Left side columns -->
        <div class="col-lg-12 mt-2">
          
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">Sales</h5>
              <?php if(isset($msg)){ echo $msg; } ?>
              <!-- No Labels Form -->
                <div class="col-md-12">
                  <table class="table datatable table-striped">
                <thead>
                  <tr>
                    <th>SD</th>
                    <th>Total Cartons</th>
                    <th>Total Weight</th>
                    <th>Total Amount</th>
                    <th>Date</th>
                    <th width="20%">Action</th>
                  </tr>
                </thead>
                <tbody>
                   <?php while ($fetch = $result->fetch_assoc()): ?>
                  <tr>
                    <td><?php 
                            $sd_id=$fetch["sd_id"];
                            $profile_query = mysqli_query($con,"SELECT * FROM `dsr` where dsr_id='$sd_id' ");
                            while($get = mysqli_fetch_array($profile_query)){
                              echo $get["name"];
                              $sd_active_balance=$get["dsr_balance"];
                            }
                          ?></td>
                    <td><?php echo $fetch["total_cartons"]; ?></td>
                    <td><?php echo $fetch["total_weight"]; ?></td>
                    <td><?php $total_Amount = !empty($fetch["total_of_products"]) ? $fetch["total_of_products"] : $fetch["total_amount"];
                      echo number_format($total_Amount,2)

                           ?></td>
                    <td><?php
                             $date_time=strtotime($fetch["date_time"]);
                             $formatted_date = date("D, d M y | h:i A", $date_time);
                             echo $formatted_date;
                             ?></td>
                    <td>
                      <form method="POST">
                      <input type="hidden" name="sale_history_id" value="<?php echo $fetch["sale_history_id"]; ?>">
                      <input type="hidden" name="sd_ac_balance" value="<?php echo $sd_active_balance; ?>">
                     
                     <!-- <button class="btn btn-success btn-sm" type="submit" name="genrate_pdf"><i class="bi bi-file-earmark-pdf"></i></button>-->

                      <a href="view_sale.php?id=<?php echo $fetch["sale_history_id"]; ?>&sd_id=<?php echo $fetch["sd_id"]; ?>" class="btn btn-primary btn-sm" target="_blank"><i class="ri-eye-fill"></i></a>
                      
                      </form>
                      <?php  if($user_type!='warehouse'){  ?>
                      <button class="btn btn-danger btn-sm"  data-bs-toggle="modal" data-bs-target="#delete_modal<?php echo $fetch["sale_history_id"]; ?>"><i class="ri-delete-bin-2-fill"></i></button>
                      <?php } ?>
                    </td>

              
              <div class="modal fade" id="delete_modal<?php echo $fetch["sale_history_id"]; ?>" tabindex="-1">
                <div class="modal-dialog modal-md">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title">Do you want to delete this record?</h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      <form method="POST">
                        <div class="row">
                      <div class="col-md-12">
                        <input type="hidden" name="sd_id" value="<?php echo $fetch["sd_id"]; ?>">
                        <input type="hidden" name="sale_history_id" value="<?php echo $fetch["sale_history_id"]; ?>">
                        <input type="hidden" name="sale_date" value="<?php echo $fetch["sale_date"]; ?>">
                        
                        <input type="hidden" name="sd_ac_balance" value="<?php echo $sd_active_balance-$total_Amount; ?>"> 
                        <p>Do you want to delete this sale record?</p>
                      </div>
                      </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-danger" name="delete">Yes Delete</button>
                    </div>
                    </form>
                  </div>
                </div>
              </div><!-- End Extra Large Modal-->                  

                  </tr>
                  <?php endwhile; ?>               
                </tbody>
              </table>
                </div> 
<div class="dataTable-bottom">
         <?php if (ceil($total_pages / $num_results_on_page) > 0): ?>
        
         <ul class="news">
            <?php if ($page > 1): ?>
            <li class="prev"><a href="sales_list.php?page=<?php echo $page-1 ?>">Prev</a></li>
            <?php endif; ?>

            <?php if ($page > 3): ?>
            <li class="start"><a href="sales_list.php?page=1">1</a></li>
            <li class="dots">...</li>
            <?php endif; ?>

            <?php if ($page-2 > 0): ?><li class="page"><a href="sales_list.php?page=<?php echo $page-2 ?>"><?php echo $page-2 ?></a></li><?php endif; ?>
            <?php if ($page-1 > 0): ?><li class="page"><a href="sales_list.php?page=<?php echo $page-1 ?>"><?php echo $page-1 ?></a></li><?php endif; ?>

            <li class="currentpage"><a href="sales_list.php?page=<?php echo $page ?>"><?php echo $page ?></a></li>

            <?php if ($page+1 < ceil($total_pages / $num_results_on_page)+1): ?><li class="page"><a href="sales_list.php?page=<?php echo $page+1 ?>"><?php echo $page+1 ?></a></li><?php endif; ?>
            <?php if ($page+2 < ceil($total_pages / $num_results_on_page)+1): ?><li class="page"><a href="sales_list.php?page=<?php echo $page+2 ?>"><?php echo $page+2 ?></a></li><?php endif; ?>

            <?php if ($page < ceil($total_pages / $num_results_on_page)-2): ?>
            <li class="dots">...</li>
            <li class="end"><a href="sales_list.php?page=<?php echo ceil($total_pages / $num_results_on_page) ?>"><?php echo ceil($total_pages / $num_results_on_page) ?></a></li>
            <?php endif; ?>

            <?php if ($page < ceil($total_pages / $num_results_on_page)): ?>
            <li class="next"><a href="sales_list.php?page=<?php echo $page+1 ?>">Next</a></li>
            <?php endif; ?>
         </ul>
         <?php endif; ?>
                              </div>                             
            </div>
          </div>
        </div><!-- End Left side columns -->

        

      </div>
    </section>

  </main><!-- End #main -->

  <?php include "includes/footer.php"; ?>

  <?php include "includes/scripts.php"; ?>
  <style>        
        .news {
            list-style-type: none;
            padding: 10px 0;
            display: inline-flex;
            justify-content: space-between;
            box-sizing: border-box;
         }
         .news li {
            box-sizing: border-box;
            padding-right: 10px;
         }
         .news li a {
            box-sizing: border-box;
            background-color: #e2e6e6;
            padding: 8px;
            text-decoration: none;
            font-size: 12px;
            font-weight: bold;
            color: #616872;
            border-radius: 4px;
         }
         .news li a:hover {
            background-color: #d4dada;
         }
         .news .next a, .news .prev a {
            text-transform: uppercase;
            font-size: 12px;
         }
         .news .currentpage a {
            background-color: #518acb;
            color: #fff;
         }
         .news .currentpage a:hover {
            background-color: #518acb;
         }
         </style>
         <script type="text/javascript">          
             const datatables = select('.datatable', true)
              datatables.forEach(datatable => {
                new simpleDatatables.DataTable(datatable, {
                  perPageSelect: [5, 10, 15, ["All", -1]],
                  "paging": false,
                  columns: [{
                      select: 2,
                      sortSequence: ["desc", "asc"]
                    },
                    {
                      select: 3,
                      sortSequence: ["desc"]
                    },
                    {
                      select: 4,
                      cellClass: "green",
                      headerClass: "red"
                    }
                  ]
                });
              })
         </script>
</body>

</html>
<?php
   $stmt->close();
}
?>