<?php
include "includes/db.php";
include "includes/auth.php";
$msg="";
$user_id=$_SESSION['user_id'];

if (isset($_POST["save_changes"])) {
  $name=$con->real_escape_string($_POST["name"]);
  $email=$con->real_escape_string($_POST["email"]);
  $phone=$con->real_escape_string($_POST["phone"]);
  $username=$con->real_escape_string($_POST["username"]);
  $password=$con->real_escape_string($_POST["password"]);

 $query="UPDATE `users` SET `name`='$name',`email`='$email',`phone`='$phone',`username`='$username',`password`='$password' WHERE `user_id`='$user_id'";
  if ($con->query($query) === TRUE) {
            $msg .="<div class='alert alert-success'>Staff Member Has Been Updated Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        }      
}


 ?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Dashboard - Staff List</title>
  <?php include "includes/links.php"; ?>

</head>

<body>

  <?php include "includes/header.php"; ?>
  <?php include "includes/sidebar.php"; ?>


  <main id="main" class="main">

    <div class="pagetitle">
      <h1>Dashboard</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="dashboard.php">Home</a></li>
          <li class="breadcrumb-item active">Staff List</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section dashboard">
      <div class="row">
        <!-- Left side columns -->
        <div class="col-lg-12">
          
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">Staff Members</h5>
              <?php if(isset($msg)){ echo $msg; } ?>
              <!-- No Labels Form -->
                <div class="col-md-12">
                  <?php
                        $profile_query = mysqli_query($con,"SELECT * FROM `users` where user_id='$user_id'");
                        while($fetch = mysqli_fetch_array($profile_query)){
                    ?>
                  <form method="POST"  enctype="multipart/form-data">
                        <div class="row">
                        <div class="col-md-6">
                          <label for="sd_name" class="form-label">Name:</label>
                          <input type="text" class="form-control"  id="sd_name" value="<?php echo $fetch["name"]; ?>" name="name">
                        </div>
                        <div class="col-md-6">
                          <label for="email" class="form-label">Email:</label>
                          <input type="email" class="form-control" id="email" value="<?php echo $fetch["email"]; ?>"  name="email">
                        </div>
                        <div class="col-md-6">
                          <label for="primary_phone" class="form-label">Phone Number:</label>
                          <input type="text" class="form-control" id="phone_number" value="<?php echo $fetch["phone"]; ?>" name="phone">
                        </div>
                        <div class="col-md-6">
                          <label for="secondary_phone" class="form-label">Username:</label>
                          <input type="text" class="form-control" id="username" value="<?php echo $fetch["username"]; ?>"  name="username">
                        </div>
                        <div class="col-md-12">
                          <label for="password" class="form-label">Password:</label>
                          <input type="password" class="form-control" id="password" value="<?php echo $fetch["password"]; ?>"  name="password">
                        </div>                   
                        </div>
                        <button type="submit" class="btn btn-primary mt-3" name="save_changes">Save Changes</button>  
                        </form>  


                   <?php } ?> 
                 
                </div>              
            </div>
          </div>
        </div><!-- End Left side columns -->

      </div>
    </section>

  </main><!-- End #main -->

  <?php include "includes/footer.php"; ?>

  <?php include "includes/scripts.php"; ?>

</body>

</html>